/*
 * This file is part of DebGen Biobank Software developed by ASTRID Research.
 * All rights reserved. Reproduction, modification, use or disclosure
 * to third parties without express authority is forbidden.
 *
 * Copyright ASTRID Research Inc., Hungary, 2009-2011.
 *
 * ASTRID Research
 * Headquaters: Csapo utca 42. Debrecen H-4029 HUNGARY
 * Phone: +36-52-533-173        Fax: +36-52-533-174
 * Web: http://www.astrid.hu    E-mail: info@astrid.hu
 *
 * Project name: DebGen Biobank Software project.
 * URLS:
 * Developers: Istvan Zoltan Nagy (istvan.nagy@astrid.hu)
 */

package hu.astrid.debgen.patientmanagement.domain.modules.requests;

import hu.astrid.toucan.control.bean.ToucanBean;
import hu.astrid.xmltools.beans.XmlConvertable;
import hu.astrid.xmltools.beantoxml.XmlToBeanConverter;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * Created by IntelliJ IDEA.
 * User: inagy
 * Date: Jun 3, 2010
 * Time: 10:20:22 AM
 */
@Entity
@Table(name = "debgen_diagnosis")
public class Diagnosis implements ToucanBean, Serializable, XmlConvertable {

    //TODO: Not mapped entity. Needed to use BNO search. Later... 

    @Id
    private Long id;
    private String name;
    private String BnoCode;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBnoCode() {
        return BnoCode;
    }

    public void setBnoCode(String bnoCode) {
        BnoCode = bnoCode;
    }

    public void buildFromXml(Node node) throws Exception {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    public void buildFromXml(Node node, String s) throws Exception {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    public Node toXml(Document document) throws Exception {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public Node toXml(Document document, String s) throws Exception {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public XmlToBeanConverter getXmlConverter() throws Exception {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }
}
